#!/bin/bash

if (( ! $(id -u) )); then
  echo "Refusing to start as user 'root', exiting!"
  exit 1
fi

# Defaults
JAVA_CMD="java"
JAVA_OPTIONS="-Xmx64m -server"
JAVA_CLASSPATH="/usr/share/zabbix/java/lib:/usr/share/zabbix/java/lib/*:/usr/share/zabbix/java/bin/*"
JAVA_CLASS="com.zabbix.gateway.JavaGateway"

if [[ -f /etc/sysconfig/zabbix-java ]]; then
  . /etc/sysconfig/zabbix-java
fi

if [[ -f /etc/zabbix_java.conf ]]; then
  . /etc/zabbix_java.conf
fi

CMD_LINE="${JAVA_CMD}${JAVA_OPTIONS:+${JAVA_CMD:+ }${JAVA_OPTIONS}}"

CMD_LINE="${CMD_LINE}${PID_FILE:+${CMD_LINE:+ }-Dzabbix.pidFile=${PID_FILE}}"
CMD_LINE="${CMD_LINE}${LISTEN_IP:+${CMD_LINE:+ }-Dzabbix.listenIP=${LISTEN_IP}}"
CMD_LINE="${CMD_LINE}${LISTEN_PORT:+${CMD_LINE:+ }-Dzabbix.listenPort=${LISTEN_PORT}}"
CMD_LINE="${CMD_LINE}${START_POLLERS:+${CMD_LINE:+ }-Dzabbix.startPollers=${START_POLLERS}}"

CMD_LINE="${CMD_LINE}${JAVA_CLASS:+${CMD_LINE:+ }${JAVA_CLASS}}"

if [[ -n "$PID_FILE" ]]; then
  echo $$ > "$PID_FILE"
fi

CLASSPATH="$JAVA_CLASSPATH" exec $CMD_LINE
